#!/bin/sh
# Make kde-i18n packages
# by PJV <volkerdi@slackware.com>

export KDEVER=2.1.1
for file in *.tar.bz2 ; do
  find /opt/kde/share | xargs touch
  find /opt/kde/share | xargs ls -ld > scan.before
  ( tar xyvf $file
    cd `basename $file -$KDEVER.tar.bz2`
    ./configure --prefix=/opt/kde
    make install
  )
  find /opt/kde/share | xargs ls -ld > scan.after
  cat scan.before scan.after | sort | uniq --unique \
    | grep -v drwx | grep -v crwx | cut -b56- \
    | cut -f 1 -d ' ' | sort | uniq | grep -v /dev/ \
    | grep -v /var/ | tee file-list-`basename $file -$KDEVER.tar.bz2`
  # Also add empty directories:
  cat scan.before scan.after | sort | uniq --unique | grep "^d" \
    | cut -b56- | while read dir ; do \
    find $dir -maxdepth 0 -empty -type d; done \
    | sort | uniq --unique >> file-list-`basename $file -$KDEVER.tar.bz2`
  mkdir package-tmp-`basename $file -$KDEVER.tar.bz2`
  ( cd package-tmp-`basename $file -$KDEVER.tar.bz2`
    tar cvf - --files-from=../file-list-`basename $file -$KDEVER.tar.bz2` | tar xf -
    echo "y
n" | makepkg ../`basename $file -$KDEVER.tar.bz2`.tgz
  )
  rm -r package-tmp-`basename $file -$KDEVER.tar.bz2`
done
